﻿# Script qui demande quelque carte on veut passer en DHCP
# Checconi Dorian 2017
# Fonction sur tout les OS à partir de Windows 10

# On récupère les infos dont l'indexe des interfaces réseau
Get-NetIPInterface
echo ""

# On demande à l'utilisateur l'indexe de la carte à passer en STATIC
$index = Read-Host "Indiquer l'indexe de la carte à passer en static"

# On demande à l'utilisateur de donner l'adresse ip
$ip = Read-Host "Indiquer l'adresse ip"

# On demande à l'utilisateur de donner le masque du réseau
$mask = Read-Host "Indiquer le préfixe du masque de réseau"

# On demande à l'utilisateur de donner la passerelle
$gateway = Read-Host "Indiquer la passerelle du réseau"

# On vérifie qu'il n'y est pas de paramètre sinon on les supprimes
$adapter = Get-NetAdapter | ? {$_.Status -eq "up"}
If (($adapter | Get-NetIPConfiguration).IPv4Address.IPAddress) {
 $adapter | Remove-NetIPAddress -AddressFamily IPv4 -Confirm:$false
}
If (($adapter | Get-NetIPConfiguration).Ipv4DefaultGateway) {
 $adapter | Remove-NetRoute -AddressFamily IPv4 -Confirm:$false
}

# On met la carte indiquer en STATIC avec les paramètres indiqué
New-NetIPAddress -InterfaceIndex $index -IPAddress $ip -PrefixLength $mask -DefaultGateway $gateway